CVE-2021-22555

NameCVE-2021-22555
DescriptionA heap out-of-bounds write affecting Linux since v2.6.19-rc1 was discovered in net/netfilter/x_tables.c. This allows an attacker to gain privileges or cause a DoS (via heap memory corruption) through user name space
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub advisories/code/issues, web search, more)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
linux (PTS)buster, buster (security)4.19.249-2fixed
bullseye5.10.140-1fixed
bullseye (security)5.10.136-1fixed
bookworm5.19.6-1fixed
sid5.19.11-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
linuxsourcestretch4.9.272-1
linuxsourcebuster4.19.194-1
linuxsource(unstable)5.10.38-1

Notes

https://github.com/google/security-research/security/advisories/GHSA-xxx5-8mvq-3528
https://google.github.io/security-research/pocs/linux/cve-2021-22555/writeup.html

Search for package or bug name: Reporting problems